This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 76829 - 2.4.18-17.7.x/2.4.18-17.7.xsmp errata does not boot on N440BX + DAC960 combo
2.4.18-17.7.x/2.4.18-17.7.xsmp errata does not boot on N440BX + DAC960 combo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-27 13:06 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-27 13:06:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
I have an Intel N440BX-based system with a DAC960 raid controller.  This system 
has run the SMP version of the kernel, since the non-SMP version has never 
booted correctly.

With the latest kernel errata (2.4.18-17.7.x), the kernel freezes at:

VFS: Diskquotas version dquot_6.5.0 initialized

The system is totally frozen at this point.  It does not respond to SYSRQ or 
any other inputs.  A hard power cycle is required to bring it back.

The previous kernel, 2.4.9-34smp, boots fine.

For reference, the non-SMP kernel boots up until:

DAC960: ***** DAC960 RAID Driver Version 2.4.11 of 11 October 2001 *****
DAC960: Copyright 1998-2001 by Leonard N. Zubkoff <lnz@dandelion.com>

and then stops.  The system does respond to SYSRQ and can be rebooted using 
SYSRQ b.

Since this kernel contains security fixes, I would like to upgrade to it.  The 
system is on a serial console and could be accessed remotely by a RedHat 
engineer, if desired.  The full boot sequence, including BIOS mesages, is 
accessible via the serial console.

The system and the DAC960 have both been upgraded to the latest BIOS releases, 
with no effect on the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot system with 2.4.18-17.7.xsmp kernel
2.System freezes at filesystem quota message (see description)
3.
	

Additional info:
Comment 1 Need Real Name 2002-10-29 09:44:02 EST
Two additional data points:

kernel-debug-2.4.18-17.7.x _does_ boot on this machine successfully
kernel-bigmem-2.4.18-17.7.x  does not boot on this machine.  It freezes at the 
same point as the smp kernel.

Also, the kernel actually prints the first 'p' of 'pty: 2048 Unix98 ptys 
configured' before it freezes hard.
Comment 2 Charles R. Anderson 2003-01-18 21:02:29 EST
This sounds like the same hang as in Bug 81575.  The hang there is in the same
place, only displaying the first 'p' in the last line below:

VFS: Diskquotas version dquot_6.5.0 initialized
Detected PS/2 Mouse Port.
pty: 2048 Unix98 ptys configured
Comment 3 Scott 2003-01-21 11:09:11 EST
I'm having the same issue with 3 other servers at 3 different client locations.

On boot, the system hangs with:
pty: 2048 unix98 ptys configured

The system I'm looking at right now is an Intel server n440bx.  I have the SMP 
kernel running even though there's 1 processor (Related to another bug a while 
back base on intel N440BX system boards).  I cannot boot to a non-smp kernel 
on this system (the RAID card freaks out).  The two other systems I'm not sure 
what system board/processors are in them.  I do know that they are Athlon 
based though.

Also, I tried all the 2.4.18-x kernels that have been downloaded on the system 
and all display this problem.  Any of the 2.4.9-x or lower kernels work to a 
certain extent.  However, it looks like a few of the services are requiring 
the usage of the newer kernels so I have to be careful of which one to select 
for booting. The last one that works totally on this system is 2.4.9-34smp.

2 of the problem servers I have are web servers on the Internet.  I would 
feel -much- more comfortable if I could get the newer kernels on for security 
reasons.
Comment 4 Bugzilla owner 2004-09-30 11:40:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.